petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscSF

PETSc object for setting up and managing the communication of certain entries of arrays and Vecs between MPI processes.

### Synopsis

    typedef struct _p_PetscSF* PetscSF;

PetscSF uses the concept of star forests to indicate and determine the communication patterns concisely and efficiently. A star http://en.wikipedia.org/wiki/Star_(graph_theory) forest is simply a collection of trees of height 1. The leave nodes represent "ghost locations" for the root nodes.

### See Also

PetscSFCreate(), VecScatter, VecScatterCreate()

Level:intermediate
Location:src/vec/is/sf/../../../../include/petscsftypes.h
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html
src/vec/is/sf/examples/tutorials/ex2.c.html